%define upstream_name       autodie
%define upstream_version 2.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Lexically have functions succeed or die
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/autodie/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::RefHash)
BuildRequires: perl(constant)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Provides:   perl(autodie)
Provides:   perl(autodie::exception)

%description
'Fatal' provides a way to conveniently replace functions which normally
return a false value when they fail with equivalents which raise exceptions
if they are not successful. This lets you use these functions without
having to test their return values explicitly on each call. Exceptions can
be caught using 'eval{}'. See perlfunc and perlvar for details.

The do-or-die equivalents are set up simply by calling Fatal's 'import'
routine, passing it the names of the functions to be replaced. You may wrap
both user-defined functions and overrideable CORE operators (except 'exec',
'system', 'print', or any other built-in that cannot be expressed via
prototypes) in this way.

If the symbol ':void' appears in the import list, then functions named
later in that import list raise an exception only when these are called in
void context--that is, when their return values are ignored. For example

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc AUTHORS Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Feb 03 2023 tv <tv> 2.360.0-1.mga9
+ Revision: 1937945
- update to 2.36

* Mon Mar 21 2022 umeabot <umeabot> 2.340.0-2.mga9
+ Revision: 1814150
- Mageia 9 Mass Rebuild

* Fri Feb 26 2021 tv <tv> 2.340.0-1.mga9
+ Revision: 1692142
- update to 2.34

* Wed Feb 19 2020 umeabot <umeabot> 2.320.0-2.mga8
+ Revision: 1543175
- Mageia 8 Mass Rebuild

* Fri Jan 17 2020 tv <tv> 2.320.0-1.mga8
+ Revision: 1481206
- update to 2.32

* Fri Jan 10 2020 tv <tv> 2.310.0-1.mga8
+ Revision: 1477468
- update to 2.31

* Wed Jan 08 2020 tv <tv> 2.300.0-1.mga8
+ Revision: 1477251
- BR perl(IPC::System::Simple)
- update to 2.30

* Wed Sep 19 2018 umeabot <umeabot> 2.290.0-4.mga7
+ Revision: 1265722
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 2.290.0-3.mga6
+ Revision: 1022682
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.290.0-2.mga6
+ Revision: 968546
- Mageia 6 Mass Rebuild

* Mon Jul 13 2015 sander85 <sander85> 2.290.0-1.mga6
+ Revision: 853563
- update to 2.29

* Sun Jul 05 2015 sander85 <sander85> 2.280.0-1.mga6
+ Revision: 851454
- update to 2.28

* Wed Oct 15 2014 umeabot <umeabot> 2.250.0-4.mga5
+ Revision: 745608
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.250.0-3.mga5
+ Revision: 687012
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 2.250.0-2.mga5
+ Revision: 634014
- perl 5.20 rebuild

* Fri Apr 04 2014 jquelin <jquelin> 2.250.0-1.mga5
+ Revision: 611634
- update to 2.25

* Tue Apr 01 2014 jquelin <jquelin> 2.240.0-1.mga5
+ Revision: 611090
- update to 2.24

* Mon Feb 10 2014 jquelin <jquelin> 2.230.0-1.mga5
+ Revision: 587948
- update to 2.23

* Mon Oct 21 2013 umeabot <umeabot> 2.220.0-2.mga4
+ Revision: 536943
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 2.220.0-1.mga4
+ Revision: 485999
- update to 2.22

* Thu Sep 12 2013 sander85 <sander85> 2.210.0-1.mga4
+ Revision: 478129
- update to 2.21

* Fri Aug 23 2013 sander85 <sander85> 2.200.0-3.mga4
+ Revision: 470203
- Rebuild for new perl

* Wed Jun 26 2013 jquelin <jquelin> 2.200.0-2.mga4
+ Revision: 447244
- add missing provides

* Wed Jun 26 2013 jquelin <jquelin> 2.200.0-1.mga4
+ Revision: 447147
- update to 2.20

* Wed May 29 2013 shlomif <shlomif> 2.190.0-1.mga4
+ Revision: 432557
- update to 2.19

* Mon Mar 18 2013 jquelin <jquelin> 2.160.0-1.mga3
+ Revision: 403886
- update to 2.16

* Sun Jan 13 2013 umeabot <umeabot> 2.130.0-2.mga3
+ Revision: 375359
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 2.130.0-1.mga3
+ Revision: 317601
- update to 2.13

* Wed Nov 07 2012 jquelin <jquelin> 2.120.0-3.mga3
+ Revision: 315517
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 2.120.0-2.mga3
+ Revision: 295341
- perl 5.16.1 rebuild

* Mon Jul 02 2012 jquelin <jquelin> 2.120.0-1.mga3
+ Revision: 266661
- update to 2.12

* Mon Jun 04 2012 jquelin <jquelin> 2.110.0-1.mga3
+ Revision: 254105
- update to 2.11

* Sat Jun 11 2011 spuhler <spuhler> 2.100.0-6.mga2
+ Revision: 104045
- increase rel for rebuild

* Sat Feb 26 2011 jquelin <jquelin> 2.100.0-5.mga1
+ Revision: 60567
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.100.0-4.mga1
+ Revision: 28937
- mageia rebuild
- imported package perl-autodie

